summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2017-01-27 21:48:45 +0100
committerThomas Deutschmann <whissi@gentoo.org>2017-01-27 21:49:21 +0100
commit7b04083d729910375e9522302739dc9555c870e4 (patch)
tree6e2b7e8d1c5743618d1c2c1f66323fc1309059e9 /net-misc
parentdev-php/PEAR-MIME_Type: Version bump (diff)
downloadgentoo-7b04083d729910375e9522302739dc9555c870e4.tar.gz
gentoo-7b04083d729910375e9522302739dc9555c870e4.tar.bz2
gentoo-7b04083d729910375e9522302739dc9555c870e4.zip
net-misc/tigervnc: Bump to v1.7.1 (bug #606460)
Ebuild changes: =============== - JAVA support fixed; Previously, when system's VM was set to a JRE, building of VncViewer.jar failed because ebuild didn't switch active JAVA VM to JDK because DEPEND also contained virtual/jre value from RDEPEND. Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/tigervnc/Manifest1
-rw-r--r--net-misc/tigervnc/tigervnc-1.7.1.ebuild188
2 files changed, 189 insertions, 0 deletions
diff --git a/net-misc/tigervnc/Manifest b/net-misc/tigervnc/Manifest
index 5e456b593ec2..5be3f6ee1825 100644
--- a/net-misc/tigervnc/Manifest
+++ b/net-misc/tigervnc/Manifest
@@ -1,5 +1,6 @@
DIST tigervnc-1.4.2-patches-0.1.tar.bz2 7361 SHA256 21c77708d303192108ffeef02acc0e7310461b4910bb49ae78c8a944e52c436e SHA512 86235aba8e735e4afed21d2940cee8ea2f4f1bc951db79aaf481ae79ab81d4518add6be2619ce9371f77fd068c8dbf069754ecc0168e5afe9e8505d3d61cc573 WHIRLPOOL 97a8c1719e7959ce8abd29f9ad249c7acf1b5a21ef36c0ce00b6e3bae8e6e78e9cdb0b34a23da6bd44c9e513e95f22716b286c5ec57bf1a854101c4810c7b481
DIST tigervnc-1.6.0.tar.gz 1291089 SHA256 98ffe98fcfe883e6c35aec579295b53d73d2ccf62e0f6e53a73ecad993b096ca SHA512 b4f1f5116ad5fe27a168764dd746400474e973d2edb85fbbe67a2459824a7267f2c63d1a2b2fdd2811017216c24a7168712df3afece56f404780d386ad24e135 WHIRLPOOL a848148646f6961ea3131cfef773d6108330a1caaa870921d7acd1759dfbe92569a00c385c0f3a35a939b4a2a0215da825cb72b9c820972cc4bf6ada3b29fbec
DIST tigervnc-1.7.0.tar.gz 1405952 SHA256 4aa704747b4f8f1d59768b663c488fa937e6783db2a46ae407cd2a599cfbf8b1 SHA512 2e673603065ef5cef33fd0e1ab916f5758d29e75ab5fdb18d1cbfacc61f59b85a00c64699d09a91e81de51ccf4006921516d5ea863319bd557fbd378c17ba004 WHIRLPOOL 63565060f42e68d6089f4851b56ff121630d63b14db6a82aac0be3e98aea48d33e35732867a57eb64c212fa3d704e35f3005ea4b0165f003c9be9d187556b668
+DIST tigervnc-1.7.1.tar.gz 1406032 SHA256 3c021ec0bee4611020c0bcbab995b0ef2f6f1a46127a52b368827f3275527ccc SHA512 babdc362b28d7af80c7efbb3a1aadf158d7f29621afe36d785748af45e515e2718cf1011359db7b39c218770b3f3ee2767e08abc58091f018c08ba9739a3e68d WHIRLPOOL 178d6b3fb7569cfb2de5dd144031b441b02a865574928d20f1589fd6f933b9276477292182cde56e948ab75d2fc0bea4d79f71bcddb33f6057970a7caa08b2cc
DIST tigervnc.png 4958 SHA256 e0828aeb92ccaaf93e690e9ee5e17803de1cb140d3ca79fb756fe08ebbc4492e SHA512 97f9a42e9b9f50f1c91de3b7d7991aa8965240fe4958d6da4e9f72f9baa4510ad615765f7c59d6e0a90c9d4b5fe53ad1547c766f2da45e4a6b6e29b03ced2b8b WHIRLPOOL bbf01f6702724bc4329d053bd3fbf856103371abce20f6f74aa3c2e5eed0eebcdcccd287788b1efbb8de3008cb484a8da5ccd1bd667727e4b0861f3bb550529c
DIST xorg-server-1.18.4.tar.bz2 6009508 SHA256 278459b2c31d61a15655d95a72fb79930c480a6bb8cf9226e48a07df8b1d31c8 SHA512 2055948caa1437547ea823a70d8b24584b65338bb9f1bbf75e3ad7fd60ec9684378facaffa05b7ce496d904213cd192085a43ba889a1476d5fbc813b7e41b56b WHIRLPOOL f9ba5ffb49e6ac7ca20d64d27712a0a8f10c6560256a20e9f944d6438dc5f5eebe53daf6af110084da67a622e92874969047518e72ff181de0d64d83030d629f
diff --git a/net-misc/tigervnc/tigervnc-1.7.1.ebuild b/net-misc/tigervnc/tigervnc-1.7.1.ebuild
new file mode 100644
index 000000000000..9a04c436dc56
--- /dev/null
+++ b/net-misc/tigervnc/tigervnc-1.7.1.ebuild
@@ -0,0 +1,188 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+CMAKE_IN_SOURCE_BUILD=1
+
+inherit autotools cmake-utils eutils flag-o-matic java-pkg-opt-2 systemd
+
+XSERVER_VERSION="1.18.4"
+
+DESCRIPTION="Remote desktop viewer display system"
+HOMEPAGE="http://www.tigervnc.org"
+SRC_URI="https://github.com/TigerVNC/tigervnc/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ mirror://gentoo/${PN}.png
+ https://dev.gentoo.org/~armin76/dist/tigervnc-1.4.2-patches-0.1.tar.bz2
+ server? ( ftp://ftp.freedesktop.org/pub/xorg/individual/xserver/xorg-server-${XSERVER_VERSION}.tar.bz2 )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86"
+IUSE="+drm gnutls java +opengl pam server +xorgmodule"
+
+CDEPEND="virtual/jpeg:0
+ sys-libs/zlib
+ >=x11-libs/libXtst-1.0.99.2
+ >=x11-libs/fltk-1.3.1
+ gnutls? ( net-libs/gnutls:= )
+ pam? ( virtual/pam )
+ server? (
+ dev-lang/perl
+ >=x11-libs/libXi-1.2.99.1
+ >=x11-libs/libXfont-1.4.2
+ >=x11-libs/libxkbfile-1.0.4
+ x11-libs/libXrender
+ >=x11-libs/pixman-0.27.2
+ >=x11-apps/xauth-1.0.3
+ x11-apps/xsetroot
+ >=x11-misc/xkeyboard-config-2.4.1-r3
+ opengl? ( >=app-eselect/eselect-opengl-1.3.1-r1 )
+ xorgmodule? ( =x11-base/xorg-server-${XSERVER_VERSION%.*}* )
+ drm? ( x11-libs/libdrm )
+ )"
+
+RDEPEND="${CDEPEND}
+ java? ( >=virtual/jre-1.5:* )
+ !net-misc/vnc
+ !net-misc/tightvnc
+ !net-misc/xf4vnc"
+
+DEPEND="${CDEPEND}
+ amd64? ( dev-lang/nasm )
+ x86? ( dev-lang/nasm )
+ >=x11-proto/inputproto-2.2.99.1
+ >=x11-proto/xextproto-7.2.99.901
+ >=x11-proto/xproto-7.0.26
+ java? ( >=virtual/jdk-1.5 )
+ server? (
+ virtual/pkgconfig
+ media-fonts/font-util
+ x11-misc/util-macros
+ >=x11-proto/bigreqsproto-1.1.0
+ >=x11-proto/compositeproto-0.4
+ >=x11-proto/damageproto-1.1
+ >=x11-proto/fixesproto-5.0
+ >=x11-proto/fontsproto-2.1.3
+ >=x11-proto/glproto-1.4.17
+ >=x11-proto/randrproto-1.4.0
+ >=x11-proto/renderproto-0.11
+ >=x11-proto/resourceproto-1.2.0
+ >=x11-proto/scrnsaverproto-1.1
+ >=x11-proto/videoproto-2.2.2
+ >=x11-proto/xcmiscproto-1.2.0
+ >=x11-proto/xineramaproto-1.1.3
+ >=x11-libs/xtrans-1.3.3
+ >=x11-proto/dri2proto-2.8
+ opengl? ( >=media-libs/mesa-10.3.4-r1 )
+ )"
+
+PATCHES=(
+ "${WORKDIR}"/patches/010_libvnc-os.patch
+ "${WORKDIR}"/patches/030_manpages.patch
+ "${WORKDIR}"/patches/055_xstartup.patch
+)
+
+src_prepare() {
+ if use server ; then
+ cp -r "${WORKDIR}"/xorg-server-${XSERVER_VERSION}/. unix/xserver || die
+ fi
+
+ default
+
+ if use server ; then
+ cd unix/xserver || die
+ eapply ../xserver118.patch
+ eautoreconf
+ fi
+}
+
+src_configure() {
+ use arm || use hppa && append-flags "-fPIC"
+
+ local mycmakeargs=(
+ -DENABLE_GNUTLS=$(usex gnutls)
+ -DENABLE_PAM=$(usex pam)
+ -DBUILD_JAVA=$(usex java)
+ )
+
+ cmake-utils_src_configure
+
+ if use server; then
+ cd unix/xserver || die
+ econf \
+ $(use_enable opengl glx) \
+ $(use_enable drm libdrm) \
+ --disable-config-hal \
+ --disable-config-udev \
+ --disable-devel-docs \
+ --disable-dmx \
+ --disable-dri \
+ --disable-dri3 \
+ --disable-glamor \
+ --disable-kdrive \
+ --disable-libunwind \
+ --disable-linux-acpi \
+ --disable-record \
+ --disable-selective-werror \
+ --disable-silent-rules \
+ --disable-static \
+ --disable-tslib \
+ --disable-unit-tests \
+ --disable-xephyr \
+ --disable-xinerama \
+ --disable-xnest \
+ --disable-xorg \
+ --disable-xvfb \
+ --disable-xwin \
+ --disable-xwayland \
+ --enable-dri2 \
+ --with-pic \
+ --without-dtrace \
+ --disable-present \
+ --disable-unit-tests
+ fi
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use server; then
+ # deps of the vnc module and the module itself
+ local d subdirs=(
+ fb xfixes Xext dbe $(usex opengl glx "") randr render damageext miext Xi xkb
+ composite dix mi os hw/vnc
+ )
+ for d in "${subdirs[@]}"; do
+ emake -C unix/xserver/"${d}"
+ done
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ newicon "${DISTDIR}"/tigervnc.png vncviewer.png
+ make_desktop_entry vncviewer vncviewer vncviewer Network
+
+ if use server ; then
+ emake -C unix/xserver/hw/vnc DESTDIR="${D}" install
+ if ! use xorgmodule; then
+ rm -r "${ED%/}"/usr/$(get_libdir)/xorg || die
+ else
+ rm "${ED%/}"/usr/$(get_libdir)/xorg/modules/extensions/libvnc.la || die
+ fi
+
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ systemd_douserunit contrib/systemd/user/vncserver@.service
+ else
+ local f
+ cd "${ED}" || die
+ for f in vncserver vncpasswd x0vncserver vncconfig; do
+ rm usr/bin/$f || die
+ rm usr/share/man/man1/$f.1 || die
+ done
+ fi
+}